bifunctors-4.1.0.1: Bifunctors

Portability | portable
Stability | provisional
Maintainer | Edward Kmett <ekmett@gmail.com>
Safe Haskell | Safe-Inferred

Data.Bifunctor.Wrapped

Description

Synopsis

- newtype WrappedBifunctor p a b = WrapBifunctor {
  - unwrapBifunctor :: p a b
  }

# Documentation

newtype WrappedBifunctor p a b Source

Make a `Functor` over the second argument of a `Bifunctor`.

Constructors

WrapBifunctor |

Fields

unwrapBifunctor :: p a b

Instances

Bifoldable p => Bifoldable (WrappedBifunctor p) |
Bifoldable1 p => Bifoldable1 (WrappedBifunctor p) |
Bifunctor p => Bifunctor (WrappedBifunctor p) |
Biapply p => Biapply (WrappedBifunctor p) |
Bitraversable p => Bitraversable (WrappedBifunctor p) |
Bitraversable1 p => Bitraversable1 (WrappedBifunctor p) |
Biapplicative p => Biapplicative (WrappedBifunctor p) |
Bifunctor p => Functor (WrappedBifunctor p a) |
Bifoldable p => Foldable (WrappedBifunctor p a) |
Bitraversable p => Traversable (WrappedBifunctor p a) |
Eq (p a b) => Eq (WrappedBifunctor p a b) |
Ord (p a b) => Ord (WrappedBifunctor p a b) |
Read (p a b) => Read (WrappedBifunctor p a b) |
Show (p a b) => Show (WrappedBifunctor p a b) |